#!/bin/sh
# service menu to extract rpm and src.rpm wich rpm2cpio
# Author: serge.d3@free.fr 
# License: GPL 2.0
# Ver.: extract_rpm_kde4.desktop 0.1.5

SERVICEMENU="extract_rpm_kde4.desktop"
INSTALLDIR_LOCAL=`kde4-config --localprefix`
INSTALLDIR_ROOT=`kde4-config --prefix`
SERVICEMENU_LOCAL="${INSTALLDIR_LOCAL}/share/kde4/services/ServiceMenus/"
SERVICEMENU_ROOT="${INSTALLDIR_ROOT}/share/kde4/services/ServiceMenus/"

echo " General Information"
echo " =============="
echo "This servicemenu ($SERVICEMENU) unpack RPM and SRC.RPM in new dir; save in file package information, including name, version, description, changelog, requires,  list ,provides and scripts for the package."
echo ""

echo " Requirements"
echo " =========="
echo "KDE: tested kde-4.X"
echo "rpm2cpio"
echo "rpm"

echo " Authors"
echo " ======"
echo "Serge (serge.d3@free.fr)"
echo ""

echo " Installation"
echo " ========"
echo "You need rpm2cpio in your path..."

if [ -x "`which rpm2cpio`" ]; then
   echo "rpm2cpio: `which rpm2cpio`    OK" 
   echo ""
else 
   echo "rpm2cpio not found in $PATH"
   echo "Sorry..."
   exit 0
fi
echo ""
echo "Select action:"
echo " 1 - Now installing $SERVICEMENU"
echo " 0 - Quit the installer"
echo -n "Select options 1 or 0 to quit: "
read num
if [ "`echo $num`" == "0" ]; then
    exit 0
fi
   clear
    echo ""
    echo "Select action:"
    if [ ! -f "$SERVICEMENU_LOCAL/$SERVICEMENU" ]; then
       echo " 1 - Install $SERVICEMENU in $SERVICEMENU_LOCAL"
    else
       echo " 1 - Update $SERVICEMENU in $SERVICEMENU_LOCAL"
    fi
     if [ ! -f "$SERVICEMENU_ROOTL/$SERVICEMENU" ]; then
        echo " 2 - Install $SERVICEMENU in $SERVICEMENU_ROOT [*]"
     else
        echo " 2 - Update $SERVICEMENU in $SERVICEMENU_ROOT [*]"
    fi
    if [ -f "$SERVICEMENU_LOCAL/$SERVICEMENU" ]; then
       echo " 3 - Uninstall $SERVICEMENU in $SERVICEMENU_LOCAL"
    fi
    if [ -f "$SERVICEMENU_ROOT/$SERVICEMENU" ]; then
       echo " 4 - Uninstall $SERVICEMENU in $SERVICEMENU_ROOT [*]"
    fi
    echo " 0 - Quit the installer"
    echo "--------------------------------------------"
    echo "[*] - requires root privileges"
    echo "--------------------------------------------"
    echo -n "Select options or 0 to quit: "
    read line
    case "$line" in
    1)
      mkdir -p $SERVICEMENU_LOCAL
      cp $SERVICEMENU $SERVICEMENU_LOCAL
      echo "Finished installing $SERVICEMENU_LOCAL/$SERVICEMENU"
      exit 0
       ;;
    2)
      if [ "`echo $UID`" == "0" ]; then
         mkdir -p $SERVICEMENU_ROOT
         cp $SERVICEMENU $SERVICEMENU_ROOT
         echo "Finished installing $SERVICEMENU_ROOT/$SERVICEMENU"
      else
         su -c "mkdir -p $SERVICEMENU_ROOT; cp $SERVICEMENU $SERVICEMENU_ROOT"
         echo "Finished installing $SERVICEMENU_ROOT/$SERVICEMENU"
	 exit 0
       fi
      ;;      
     3)
      
      if [ -f "$SERVICEMENU_LOCAL/$SERVICEMENU" ]; then
         echo -n "Removing $SERVICEMENU_LOCAL/$SERVICEMENU"
         rm -f "$SERVICEMENU_LOCAL/$SERVICEMENU" && echo "   [  OK  ]" || { echo "   [FAILED]"; exit 1; }
      else
         echo "$SERVICEMENU_LOCAL/$SERVICEMENU not found"
	 exit 0
      fi
      exit 0
      ;;      
     4)
      if [ "`echo $UID`" == "0" ]; then
         if [ -f "$SERVICEMENU_ROOT/$SERVICEMENU" ]; then
   	    echo -n "Removing $SERVICEMENU_ROOT/$SERVICEMENU"
            rm -f "$SERVICEMENU_ROOT/$SERVICEMENU" && echo "   [  OK  ]" || { echo "   [FAILED]"; exit 1; }
         else
            echo "$SERVICEMENU_LOCAL/$SERVICEMENU not found"
	    exit 0
         fi
      else
         su -c "rm -f $SERVICEMENU_ROOT/$SERVICEMENU"
      fi
      echo "Finished Removing $SERVICEMENU_LOCAL/$SERVICEMENU"
      exit 0
      ;;
      0)
       echo "     -Thank you for using  $SERVICEMENU"
       exit 0
        ;;     
 
  esac
  
exit 0